com.jscape.inet.mft.management.descriptors

## Class AutoLogoutTimeout

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.AutoLogoutTimeout

-     public class AutoLogoutTimeout
      extends java.lang.Object

  Automatic inactivity logout descriptor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoLogoutTimeout()`
    `AutoLogoutTimeout(long value, long cancelTimeout)` Creates new AutoLogout instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCancelTimeout()` Returns cancel timeout value.
    `long` | `getValue()` Returns timeout value.
    `void` | `setCancelTimeout(long value)` Sets canceel timeout value.
    `void` | `setValue(long value)` Sets timeout value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoLogoutTimeout

          public AutoLogoutTimeout(long value,
                                   long cancelTimeout)

      Creates new AutoLogout instance.
      Parameters:
        `value` - the timeout value in ms
        `cancelTimeout` - the amount of time user has to cancel automatic logout in ms

    - #### AutoLogoutTimeout

          public AutoLogoutTimeout()

  - ### Method Detail

    - #### getValue

          public long getValue()

      Returns timeout value.
      Returns:
        timeout value in ms

    - #### setValue

          public void setValue(long value)

      Sets timeout value.
      Parameters:
        `value` - timeout value in ms

    - #### getCancelTimeout

          public long getCancelTimeout()

      Returns cancel timeout value.
      Returns:
        cancel timeout value in ms

    - #### setCancelTimeout

          public void setCancelTimeout(long value)

      Sets canceel timeout value.
      Parameters:
        `value` - cancel timeout value in ms

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved